Bug #3766

License not clearly stated as GPL-2.0+

Added by Ammler about 4 years ago. Updated almost 4 years ago.

Status:ClosedStart date:2012-03-02
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-

Description

source files say 2+, but e.g. setup.py tells 2 only, this should be changed to 2+ everywhere, also please use the official spdx shorts: GPL-2.0+ (http://www.spdx.org/licenses/)

not sure, if docs/license.txt needs to be replaced too

Associated revisions

Revision 1873:d901a9168363
Added by Ammler about 4 years ago

Fix: license is GPLv2+, also use SPDX short (part of #3766)

Revision 1873:d901a9168363
Added by Ammler about 4 years ago

Fix: license is GPLv2+, also use SPDX short (part of #3766)

History

#1 Updated by Hirundo almost 4 years ago

  • Status changed from New to Closed

There is no such thing as a specific license text for GPLv2+, the GPLv2 text covers the 'or any later version'-clause already in section 9. So docs/license.txt is fine.

Therefore I close this issue, feel free to reopen if more licensing issues pop up.

Also available in: Atom PDF